Bug 191530 - up2date --register does not check if a system is already registered; need --nox
up2date --register does not check if a system is already registered; need --nox
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: up2date (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bret McMillan
Brandon Perkins
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-12 15:08 EDT by Beth Nackashi
Modified: 2008-10-17 15:39 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-19 14:44:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Beth Nackashi 2006-05-12 15:08:08 EDT
Description of problem:
up2date --register/rhn_register does not check if a system is already registered
unless you use the --nox option.  If you invoke up2date --nox --register or
rhn_register --nox, you will get a message saying "This system appears to
already be registered.  Continue anyway?"  Not so without the --nox option.

It shouldn't matter whether or not you're using the GUI or the TUI, you should
be informed if the system is already registered. 

Version-Release number of selected component (if applicable):
up2date-4.4.69-8 (RHEL3)

How reproducible:
always

Steps to Reproduce:
1.  Register a system.
2.  Run up2date --register.  GUI pops up with no warning that the system is
already registered.
3.  Run up2date --register --nox.  TUI gives a warning.
  
Actual results:


Expected results:
User is warned that the system is already registered, regardless of --nox in the
command line.

Additional info:
Comment 2 Red Hat Bugzilla 2007-04-11 20:41:33 EDT
User bnackash@redhat.com's account has been closed
Comment 3 RHEL Product and Program Management 2007-10-19 14:44:18 EDT
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
 
For more information of the RHEL errata support policy, please visit:
http://www.redhat.com/security/updates/errata/
 
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.

Note You need to log in before you can comment on or make changes to this bug.